server:
  port: 17001
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600

spring:
  datasource:
    messagecenter:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://49.4.21.141:45611/messagecenter?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx
      password: Wstestv5qy#2022
    tenant:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://49.4.21.141:45611/obpm2?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx
      password: Wstestv5qy#2022
    yehuo:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://49.4.21.141:45611/yehuoim?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx
      password: Wstestv5qy#2022
  redis:
    host: 49.4.21.141 #地址
    port: 6328 #端口
    password: redis20240628
    timeout: 30000 # 连接超时时间（毫秒）
    database: 8 #默认数据库
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 10
        # 连接池的最大数据库连接数
        max-active: 200
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
  task:
    execution:
      thread-name-prefix: THREAD-
      pool:
        core-size: 4
        max-size: 8
        queue-capacity: 16
        keep-alive: 60
        allow-core-thread-timeout: false
  quartz:
    job-store-type: jdbc
    wait-for-jobs-to-complete-on-shutdown: true
    auto-startup: true
  kafka:
    bootstrap-servers: 117.78.39.204:9092
    consumer:
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      auto-offset-reset: latest
      enable-auto-commit: false
    listener:
      ack-mode: manual_immediate
      concurrency: 2
    retry:
      topic:
        enabled: true
        delay: 2
        max-attempts: 3

mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    default-executor-type: batch
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        message: info
    org:
      springframework:
        security: DEBUG
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /data/logs
  # 日志打印级别  默认 info
  level: error
  bcx-level: info
  # 是否控制台输出，默认true
  stdout: true

api-auth:
  # admin的秘钥，超级秘钥
  admin-secret: msg_center_admin
  # 秘钥有效期，分钟
  valid-minute: 5
  # 秘钥是否需要md5加密
  is-md5-secret: false

# 消息配置
message:
  retry:
    # 失败重试次数
    count: 5
    # 失败重试间隔 秒
    interval: 120
  # 默认消息有效时间，天数
  default-effective-time: 30
  # 创建消息同步时间任务
  create-msg-sync-time-task:
    # 每1分钟执行一次
    cron: 0 */1 * * * ?
    # 每次查询时间间隔，分钟
    time-interval: 30
  # 创建消息同步时间任务
  sync-msg-time-task:
    # 每1分钟执行一次
    cron: 15 */1 * * * ?
  # 删除过期消息任务
  delete-expired-msg-task:
    # 每1小时执行一次
    cron: 30 0 */1 * * ?

ye-huo:
  im-server:
    url: http://testim.baibaodun.com.cn
    admin-url: http://testim.baibaodun.com.cn:18080
    secret: 123456
  app-server:
    url: http://appim.baibaodun.com.cn
  push-server:
    url: